*Script golvox - Cobranas de penaltes por duas equipes.
* Idealizado por Luiz Campos.
*Desenvolvido por Gustavo Farias Medeiros.
* Em 20/07/2014;
*Verso 1.

@preparavar
randomiza
seja $penaltis1 1
seja $penaltis2 1
seja $placar1 0
seja $placar2 0

@principal
toca "sons\go1abertura.mp3"
escreve mudo "Bem-vindo ao golvox, caro cartola!"
toca "sons\go1bemvindo.mp3"
bipa
bipa
escreve "O Golvox  uma disputa de penaltes entre dois jogadores."
bipa
escreve "Cada um dos jogadores indicar o nome do seu time."
bipa
escreve "Digite seu nome:"
l $nome1
se $nome1 = "" termina mudo
escreve "Muito bem, "$nome1""
bipa
escreve "Agora digite o nome do seu adversrio:"
l $nome2
se $nome2 = "" termina mudo
bipa
escreve "Vocs desejam ouvir as instrues do jogo? Sim ou no?"
l o &
se o = "s" desvia @instrucoes
se o = "n" desvia @equipes
bipa
escreve "Opo invlida, tecle s ou n"
bipa
desvia @principal

@instrucoes
escreve ""$nome1", voc defender as cores do seu time numa disputa"&
escreve "de pnaltes contra o time de "$nome2"."
bipa
bipa
escreve "Cada um bater cinco pnaltes e quem fizer o maior nmero"&
escreve "de gols, vence o desafio."
bipa
bipa
escreve "Estas so as cinco opes de chutar em gol:"
bipa
escreve "Tecle 1 para chutar no meio do gol."
bipa
escreve "Tecle 2 para chutar na direita do gol."
bipa
escreve "Tecle 3 para chutar na esquerda do gol."
bipa
escreve "Tecle 4 para chutar na gaveta do gol."
bipa
escreve "Tecle 5 para chutar de qualquer jeito."
bipa
escreve ""$nome1" e "$nome2", preparados para o jogo? Ento vamos l!"
bipa
escreve "Que comece esta emocionante disputa de pnaltes!"
toca "sons\go1torcida1.mp3"
desvia @equipes

@equipes
escreve ""$nome1", digite o nome de sua equipe:"
l $equipe1
se $equipe1 = "" termina mudo
bipa
escreve ""$nome2", digite o nome de sua equipe:"
l $equipe2
se $equipe2 = "" termina mudo
bipa
bipa
escreve "Ok! Esta disputa de pnaltes ser entre o time do "$equipe1""&
escreve "e o time do "$equipe2"."
bipa
escreve "As charangas animam suas torcidas e fazem trepidar as"&
escreve "arquibancadas do Areno."
toca "sons\go1charanga1.mp3"
toca "sons\go1charanga2.mp3"
escreve "Que vena o melhor!"
toca "sons\go1gol2.mp3"
escreve "Vamos ento aos pnaltes que sero cobrados no gol que fica"&
escreve "do lado que est o placar."
toca "sons\go1olho.mp3"

@jogando
seja p rand 5
escreve "E l vai o "$nome1" cobrar o "$penaltis1"  pnalte para"&
escreve "o time do "$equipe1"."
*bipa
escreve "Digite a opo do seu chute e tecle Enter:"
l $chute
toca "sons\go1act.mp3"
se $chute < 1
escreve "Digite a opo entre 1 e 5."
*bipa
desvia @jogando
fim se
se $chute > 5
escreve "Digite a opo entre 1 e 5."
*bipa
desvia @jogando
fim se
se $chute = p
desvia @acertou1
fim se
se $chute <> p
desvia @errou1
fim se

@acertou1
soma $penaltis1 1
soma $placar1 1
se $chute = 1
toca "sons\go1galvao.mp3"

*escreve "Preparou, correu, chutou "$nome1"..."
escreve "Gol do "$equipe1"!"
escreve "Entre as pernas do goleiro."
*bipa

seno
se $chute = 2
*escreve "Partiu "$nome1" para a cobrana, ajeitou, atirou..."
toca "sons\go1galvao.mp3"
escreve "Que belo gol do "$equipe1""
escreve "Bem no cantinho direito do gol, sem chanse de defesa!"
*bipa

seno
se $chute = 3
*escreve ""$nome1"  vai correr para a cobrana... bateu..."
toca "sons\go1galvao.mp3"
escreve "Um belo gol para o time do "$equipe1"."
escreve "Mas que frangao, hein, goleiro?"
*bipa

se $chute = 4
*escreve ""$nome1" correu... bateu de perna esquerda..."
toca "sons\go1galvao.mp3"
escreve "Gol do "$equipe1". A bola entrou no lado esquerdo do,"&
escreve "goleiro,  meia altura."
*bipa

seno
se $chute = 5
*escreve ""$nome1" est junto da bola... bateu..."
toca "sons\go1galvao.mp3"
escreve "Gol do "$equipe1". Uma bola indefensvel."
*bipa

fim se
escreve "Parabns! voc acabou de converter o " $placar1 " pnalti para " $equipe1
se $penaltis1 > 5
escreve "Fim de suas cobranas!"
*bipa
desvia @jogando2
fim se
 desvia @jogando2

@errou1
soma $penaltis1 1
seja $erro rand 3
se $erro = 1
toca "sons\go1fora.wav"
escreve ""$nome1" bateu pra foooora! muito longe do gol!"
desvia @jogando2
seno
se $erro = 2
toca "sons\go1trave.mp3"
escreve ""$nome1" no teve sorte desta vez para o "$equipe1"!"
desvia @jogando2
seno
se $erro = 3
toca "sons\go1defendeu.mp3"
escreve "Que defesaa do goleiro do "$equipe2"."
escreve "V se melhora a pontaria, "$nome1 "."
desvia @jogando2
fim se
se $penaltis1 > 5
escreve "Fim de suas cobranas!"
bipa
desvia @jogando2
fim se

@jogando2
seja p rand 5
escreve "E l vai "$nome2" cobrar o "$penaltis2"  pnalte para"&
escreve "o time do "$equipe2"."
bipa
escreve "Digite a opo do seu chute e tecle Enter:"
l $chute
toca "sons\go1act.mp3"

se $chute < 1
escreve "Digite um algarismo entre 1 e 5."
desvia @jogando2
fim se
se $chute > 5
escreve "Digite um algarismo entre 1 e 5."
desvia @jogando2
fim se
se $chute = 5
desvia @acertou2
fim se

@acertou2
soma $penaltis2 1
soma $placar2 1
se $chute = 1
*escreve "Correu "$nome2", bateu..."
toca "sons\go1luciano.mp3"
escreve "Bem no meio do gol...  do "$equipe2"!"
seno
se $chute = 2
*escreve "Partiu "$nome2" para a cobrana, ajeitou, atirou..."
toca "sons\go1luciano.mp3"
escreve "Gol do "$equipe2". Bem no cantinho, sem chance pro goleiro."

seno
se $chute = 3
*escreve ""$nome2", concentrou-se, correu... bateu..."
toca "sons\go1luciano.mp3"

escreve "Golaaao e  do "$equipe2"."
escreve "bem no canto esquerdo do goleiro. Que maravilha!"

seno
se $chute = 4
*escreve ""$nome2" ta com cara de quem vai bater por cobertura..."
toca "sons\go1luciano.mp3"
escreve "Olha a, falei e foi! gooooooool do "$equipe2"."
escreve "Na gaveta do gol, onde a coruja dorme."

seno
se $chute = 5
*escreve ""$nome2" parece estar nervoso... bateu..."
toca "sons\go1luciano.mp3"
escreve "Gol do "$equipe2"!"
escreve "No sei por qual milagre esta bola entrou no gol!"

fim se
escreve "Parabns! voc acabou de converter o " $placar2 " pnalti para " $equipe2
se $penaltis2 > 5
escreve "Fim de suas cobranas!"
desvia @terminando
fim se
desvia @jogando

@errou2
soma $penaltis2 1
se $penaltis2 > 5
escreve "Fim de suas cobranas!"
bipa
desvia @terminando
fim se
seja $erro rand 3
se $erro = 1
toca "sons\go1errou1.mp3"
escreve ""$nome2" perdeu este penalte de bobeira."
desvia @jogando
seno
se $erro = 2
toca "sons\go1trave2.mp3"
escreve ""$nome2" perdeu esta cobrana  ta."
Seno
se $erro = 3
toca "sons\go1defendeu.mp3"
escreve "Belssima defesa do goleiro do "$equipe1"."
escreve "No foi desta vez, "$nome2 "."

seno
desvia @jogando
fim se

@terminando
toca "sons\go1placar.mp3"
escreve ""$equipe1" "$placar1" x "$placar2" "$equipe2"!"
bipa
se $placar1 < $placar2 escreve "Parabns ao time do "$equipe2" e"&
escreve "seu batedor oficial "$nome2"!"
toca "sons\go1campeao.mp3"

escreve ""$nome1 ", no desanime, hein, cara!"

Seno
se $placar1 > $placar2 escreve "Parabns "$nome1","&
escreve "voc levou o "$equipe1 " vitria!"
toca "sons\go1campeao.mp3"
escreve ""$nome2 ", no desanime, hein, cara!"
bipa
escreve "Deseja jogar novamente? Sim ou no?"
l o &
se o = "s" desvia @preparavar
se o = "n" desvia @fim
escreve "Opo invlida: tecle s ou n."
@fim
toca "go1final.mp3"
escreve "At a prxima."
*desvia @terminando
termina
